summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-05-31 14:54:43 +0200
committerLars Wendler <polynomial-c@gentoo.org>2017-05-31 14:56:37 +0200
commit22262ade2b169f4786c12125b2d0d9705f99c5a6 (patch)
tree67eda483fe37469882de3cf9d4325ed8f3b30df5 /dev-libs/apr-util
parentapp-admin/needrestart: correct distfile name. (diff)
downloadgentoo-22262ade2b169f4786c12125b2d0d9705f99c5a6.tar.gz
gentoo-22262ade2b169f4786c12125b2d0d9705f99c5a6.tar.bz2
gentoo-22262ade2b169f4786c12125b2d0d9705f99c5a6.zip
dev-libs/apr-util: Reintroduced mysql support (bug #620230).
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'dev-libs/apr-util')
-rw-r--r--dev-libs/apr-util/apr-util-1.5.4-r3.ebuild (renamed from dev-libs/apr-util/apr-util-1.5.4-r2.ebuild)11
1 files changed, 9 insertions, 2 deletions
diff --git a/dev-libs/apr-util/apr-util-1.5.4-r2.ebuild b/dev-libs/apr-util/apr-util-1.5.4-r3.ebuild
index 3bb7a167d63..db5d7e6c1f0 100644
--- a/dev-libs/apr-util/apr-util-1.5.4-r2.ebuild
+++ b/dev-libs/apr-util/apr-util-1.5.4-r3.ebuild
@@ -16,7 +16,7 @@ SRC_URI="mirror://apache/apr/${P}.tar.bz2"
LICENSE="Apache-2.0"
SLOT="1"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="berkdb doc freetds gdbm ldap libressl nss odbc openssl postgres sqlite static-libs"
+IUSE="berkdb doc freetds gdbm ldap libressl mysql nss odbc openssl postgres sqlite static-libs"
#RESTRICT="test"
RDEPEND="
@@ -26,6 +26,7 @@ RDEPEND="
freetds? ( dev-db/freetds )
gdbm? ( sys-libs/gdbm )
ldap? ( =net-nds/openldap-2* )
+ mysql? ( =virtual/mysql-5* )
nss? ( dev-libs/nss )
odbc? ( dev-db/unixODBC )
openssl? (
@@ -49,6 +50,12 @@ PATCHES=(
src_prepare() {
default
+
+ # Fix usage of libmysqlclient (bug #620230)
+ grep -lrF "libmysqlclient_r" "${S}" \
+ | xargs sed 's@libmysqlclient_r@libmysqlclient@g' -i \
+ || die
+
mv configure.{in,ac} || die
eautoreconf
elibtoolize
@@ -83,11 +90,11 @@ src_configure() {
--datadir="${EPREFIX}"/usr/share/apr-util-1
--with-apr="${SYSROOT}${EPREFIX}"/usr
--with-expat="${EPREFIX}"/usr
- --without-mysql
--without-sqlite2
$(use_with freetds)
$(use_with gdbm)
$(use_with ldap)
+ $(use_with mysql)
$(use_with nss)
$(use_with odbc)
$(use_with openssl)